diff --git a/bin/named/client.c b/bin/named/client.c
index 0f6e162..4d26eff 100644
--- a/bin/named/client.c
+++ b/bin/named/client.c
@@ -2115,6 +2115,12 @@ process_keytag(ns_client_t *client, isc_buffer_t *buf, size_t optlen) {
 		return (DNS_R_OPTERR);
 	}
 
+	/* Silently drop additional keytag options. */
+	if (client->keytag != NULL) {
+		isc_buffer_forward(buf, (unsigned int)optlen);
+		return (ISC_R_SUCCESS);
+	}
+
 	client->keytag = isc_mem_get(client->mctx, optlen);
 	if (client->keytag != NULL) {
 		client->keytag_len = (uint16_t)optlen;
